FROM python:3.12-slim-bookworm

ENV TZ="Asia/Tokyo"

# pythonの標準出力をバッファリングしないフラグ
ENV PYTHONUNBUFFERED=1
# pythonのバイトコードを生成しないフラグ
ENV PYTHONDONTWRITEBYTECODE=1

# 必要なファイルをイメージにコピー
WORKDIR /function
COPY Pipfile Pipfile.lock ./

# ライブラリインストール
RUN apt update -y && \
    apt-get -y install gnupg2 && \
    pip install pipenv --no-cache-dir && \
    pipenv install --system --deploy && \
    pip uninstall -y pipenv virtualenv-clone virtualenv
COPY datadecrypt ./

# エントリーポイントの設定
ENTRYPOINT [ "/usr/local/bin/python", "-m", "awslambdaric" ]

# lambdaハンドラを起動
CMD [ "main.handler" ]